<?php
// $Id: repairuseracl.php,v 1.0 2004/08/06 14:17:00 alwarren Exp $
/**
* @package Mambo User ACL Repair Script
* @ Copyright (C) 2004 Al Warren
* @ All rights reserved
* @ repairuseracl.php is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @ version $Revision: 1.0 $
* @
* @package Mambo Open Source
* @ Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
*
* Use this script to repair Mambo user acl tables.
* Be sure to backup your database first!
*
**/

define( '_VALID_MOS', '1' );

include_once( "globals.php" );
require_once( "configuration.php" );
require_once( "includes/joomla.php" );

$database = new database( $mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix );
$acl = new gacl_api();
$section_value = 'users';

repairAcl($acl, $database, $section_value);
echo "Repair Complete";

function repairAcl( $acl, $database, $section_value ) {
	$database->setQuery("TRUNCATE TABLE #__core_acl_aro");
	$database->query();
	$database->setQuery("TRUNCATE TABLE #__core_acl_groups_aro_map");
	$database->query();
	$database->setQuery("SELECT id, name, gid FROM #__users WHERE 1 ORDER BY id");
	$rows = $database->loadObjectList();
	foreach($rows as $row) {
		$acl->add_object( $section_value, $row->name, $row->id, null, null, 'ARO' );
		$acl->add_group_object( $row->gid, $section_value, $row->id, 'ARO' );
	}
}
?>